tester la compatibilité des sites avec php7

+3 votes
1,585 vues
question 29 Juillet 15 dans Apache Php par ladmin (2,219 points)  
editée 11 Novembre 15 par ladmin
php 7 est disponible sur 2 serveurs pour des tests de compatibilité

on ne peut encore le mettre en production mais ça ne saurait tarder

Ce qui est remarquable c'est la vitesse d'ensemble à application égale ( testé avec des bases de 100 et 500 Mo )

En faisant votre demande, dites nous votre disponibilité à venir , de quel site et de quelles bases il s'agit afin que tout soit prêt. La plupart des applications pour 5.5 tournent sur 7 ou sont facilement adaptables.
commentée 29 Juillet 15 par BenoitXVII (927 points)  
Guillaume Dievart a écrit sur http://www.journldunet.com/developpeur/php/php-7.shtml : "Pour connaître les nouvelles fonctionnalités de PHP7, vous pouvez jeter un oeil à ce tuto interactif http://php.7-tutorial.com/  "
commentée 3 Août 15 par ladmin (2,219 points)  
Je suis un projet de convertisseur qui pourrait faire 90% du boulot et signaler les 10% restants. Mais s'il s'agit d'un cms , il vaudra mieux attendre la version spécifique. Php 5.5 est de 4 à 6 fois plus lent que l'équivalent en C. Avec php 7 , le ratio tombe à 2.
commentée 21 Août 15 par ladmin (2,219 points)  
la RC1 c'est de la bombe :) sont fortiches chez php et Zend ...
commentée 27 Août 15 par ladmin (2,219 points)  
en attendant, 5.6.12 est pas mal aussi ; elle a remplacé avantageusement les 5.5.xxx cette nuit.

2 Réponses

+1 vote
réponse 29 Octobre 15 par anvers (264 points)  
  • apache 2.4.17 et php 7.0 rc5 , 5 à 10% des sessions php disparaissent
  • apache 2.2.31 et php 7.0 rc5 , mes applications marchent à 100% , 2 fois plus vite
  • apache 2.4.17 vs apache 2.2.31 sans php , testé en pointe ( 5000 visiteurs ) : améliorations imperceptibles. L'avez vous bien configuré ?
  • Les problèmes d'arrondis de php 5 ont disparu.
  • On ne peut pas basculer de apache 2.2 à 2.4 sans changer les htaccess. Il faudrait un autre nom. Au lieu de .htaccess , appelez les htaccess24 ou .ht24  pour passer de l'un à l'autre sans modifier le site... au moins pendant les tests. Merci ...
commentée 30 Octobre 15 par ladmin (2,219 points)  
oui, c'est bien configuré ... ca fait 2 ans qu'on le teste. Avec la mémoire disponible, l'effet est moindre mais en situation critique, les différences sont sensibles. Par contre, je ne sais pas combien d'utilisateurs pourront s'adapter aux autres changements , pourtant mineurs ... C'est une option, en standard c'est 2.2 qui est livré.
+1 vote
réponse 30 Octobre 15 par infoAvignon (233 points)  
php 7.0 refuse des appels statiques de fonctions de classes. Ok, facile à corriger, il n'y en a pas tant.

Mais après modification, ça ne marche pas bien sur php 5.6

Avec apache 2.4 c'est encore pire, je suis déconnecté sans raison toutes les 5 à 15 min, surtout avec php 7

Je préfère choisir ma version de php et d'apache ...
commentée 19 Mars 16 par ladmin (2,219 points)  
Pour reconnaitre la version de php dans la page focus, voyez le nom du front ( serveur ) : s'il contient 52 , c'est 5.2 et s'il contient 55 , 56 c'est php 5.6 et pour php 7.0 le nom de la machine contient p70.
Feel free to ask and answer in english

Bienvenue sur les FAQ de 123.fr, posez vos questions ou répondez à celles des autres usagers.

...